Delivery Settings
The Delivery Settings service collection provides operations for managing delivery settings. Retrieve your current delivery configuration and create or update delivery settings including delivery cadence and delivery type.
| Language | Last Update |
|---|---|
| Python | v1.4.6 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
GetDeliverySettingsget_delivery_settings | Get Delivery Settings. |
PostDeliverySettingscreate_delivery_settings | Create Delivery Settings. |
GetDeliverySettings
Section titled “GetDeliverySettings”Get Delivery Settings
GET /delivery-settings/entities/delivery-settings/v1
PEP 8
get_delivery_settingsParameters
Section titled “Parameters”No keywords or arguments accepted.
Code Examples
Section titled “Code Examples”from falconpy import DeliverySettings
falcon = DeliverySettings(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_delivery_settings()print(response)from falconpy import DeliverySettings
falcon = DeliverySettings(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.GetDeliverySettings()print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("GetDeliverySettings")print(response)Get-FalconContentControlpackage main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/delivery_settings")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.DeliverySettings.GetDeliverySettings( &delivery_settings.GetDeliverySettingsParams{ Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.deliverySettings.getDeliverySettings();
console.log(response);use rusty_falcon::apis::delivery_settings_api::get_delivery_settings;use rusty_falcon::easy::client::FalconHandle;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let response = get_delivery_settings(&falcon.cfg).await.expect("API call failed"); // configuration
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::DeliverySettings.new
response = api.get_delivery_settings
puts responsePostDeliverySettings
Section titled “PostDeliverySettings”Create Delivery Settings
POST /delivery-settings/entities/delivery-settings/v1
PEP 8
create_delivery_settingsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload in JSON format. |
| delivery_cadence | body | string | Delivery schedule. |
| delivery_type | body | string | Delivery type. |
Code Examples
Section titled “Code Examples”from falconpy import DeliverySettings
falcon = DeliverySettings(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_delivery_settings(delivery_cadence="string", delivery_type="string")print(response)from falconpy import DeliverySettings
falcon = DeliverySettings(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.PostDeliverySettings(delivery_cadence="string", delivery_type="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "delivery_settings": [ { "delivery_cadence": "string", "delivery_type": "string" } ]}
response = falcon.command("PostDeliverySettings", body=body_payload)print(response)Set-FalconContentControl -Type "string" -Cadence "string"package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/delivery_settings" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
delivery_cadence := "string" delivery_type := "string"
response, err := client.DeliverySettings.PostDeliverySettings( &delivery_settings.PostDeliverySettingsParams{ Body: &models.ModelsDeliverySettingsRequest{ DeliverySettings: []interface{}{ { DeliveryCadence: &delivery_cadence, DeliveryType: &delivery_type, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.deliverySettings.postDeliverySettings( { deliverySettings: [{ deliveryCadence: "string", deliveryType: "string" }]} // body);
console.log(response);use rusty_falcon::apis::delivery_settings_api::post_delivery_settings;use rusty_falcon::easy::client::FalconHandle;use rusty_falcon::models::ModelsDeliverySettingsRequest;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let body = ModelsDeliverySettingsRequest { delivery_settings: vec![DeliverySettingsInput { delivery_cadence: Some("string".to_string()), delivery_type: Some("string".to_string()), ..Default::default() }], ..Default::default() };
let response = post_delivery_settings( &falcon.cfg, // configuration body, // body ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::DeliverySettings.new
body = Falcon::ModelsDeliverySettingsRequest.new( delivery_settings: [{ delivery_cadence: 'string', delivery_type: 'string' }])
response = api.post_delivery_settings(body)
puts response